Name:		scim-hangul
Version:	0.4.0
Release:	%mkrel 8
Summary:        Hangul Input Method Engine for SCIM
Group:          System/Internationalization
License:	GPLv3
URL:		http://www.scim-im.org/
Source0:	http://downloads.sourceforge.net/scim/%{name}-%{version}.tar.gz
Patch0:		scim-hangul-0.4.0.gcc47.patch
BuildRequires:  scim-devel
BuildRequires:  libhangul-devel
BuildRequires:	gettext-devel

%description
Scim-hangul is a SCIM IMEngine module for Korean (Hangul) input support.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_libdir}/scim-1.0/*/IMEngine/hangul.so
%{_libdir}/scim-1.0/*/SetupUI/hangul-imengine-setup.so
%{_datadir}/scim/icons/scim-hangul*.png
%{_datadir}/scim/hangul/


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.4.0-8.mga8
+ Revision: 1516777
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.4.0-7.mga7
+ Revision: 1300951
- Mageia 7 Mass Rebuild

* Sat Jul 28 2018 wally <wally> 0.4.0-6.mga7
+ Revision: 1245672
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-6.mga6
+ Revision: 944832
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 748989
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 689061
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 518255
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 381851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 pterjan <pterjan> 0.4.0-1.mga3
+ Revision: 286641
- imported package scim-hangul


* Fri Aug 31 2012 Pascal Terjan <pterjan@mageia.org> - 0.4.0-1.mga3
- Initial package, some parts from fedora
